from enum import Enum
from pathlib import Path

PATH_TO_BASE_FOLDER = Path(__file__).resolve().parent.parent

LOG_DEFAULT_FORMAT = "[%(asctime)s.%(msecs)03d] %(module)10s:%(lineno)-3d %(levelname)-7s - %(message)s"


class EnvironmentEnum(str, Enum):
    TEST = 'TEST'
    PROD = 'PROD'
    DEV = 'DEV'
    DOCKER_TEST = 'DOCKER_TEST'


class EnvFileLocation:
    TESTING = f'{PATH_TO_BASE_FOLDER}/.env_test'
    PRODUCTION = f'{PATH_TO_BASE_FOLDER}/.env_prod'
    DOCKER_TESTING = f'{PATH_TO_BASE_FOLDER}/.env_docker_test'


class PydanticEnvPrefixEnum(str, Enum):
    APP = "APP__"
