from httpx import AsyncClient

from src.core.settings.base import settings




async def send_to_tg_from_bot(text: str):
    token = settings.BOT.TOKEN
    url = f"https://api.telegram.org/bot{token}/sendMessage"


    payload = {
        "chat_id": settings.NOTIFY.CHAT_ID,
        "text": text,
        "parse_mode": "Markdown",
    }
    async with AsyncClient() as client:
        response = await client.post(url, json=payload)
        print(response)
        if response.status_code != 200:
            print(response.text)
    return response
