from src.core.database import TgMessage, TgChat, User
from src.core.tg_service.notify_sender import send_to_tg_from_bot
from src.core.tg_service.utils import create_and_format_message



async def notify_for_success(
        messages: list[TgMessage],
        chat: TgChat,
        success_reason: str,
        user_model: User,
) -> None:
    message = create_and_format_message(
        messages=messages,
        reason=success_reason,
        user_model=user_model,
        chat=chat,
    )

    await send_to_tg_from_bot(
        text=message
    )