from datetime import datetime

from pydantic import BaseModel, PositiveInt, NegativeInt, UUID4

from src.core.common.schemas import BaseModelWithSerializeDatetime


class MessageFromChatSchema(BaseModelWithSerializeDatetime):
    id: PositiveInt
    user_id: PositiveInt
    chat_id: NegativeInt
    text: str
    message_time: datetime


class UserFromMessageSchema(BaseModel):
    id: int
    username: str | None = None
    first_name: str | None = None
    last_name: str | None = None



class MessagesForSendToWorkersSchema(BaseModel):
    slice_id: UUID4
    messages: list[MessageFromChatSchema]