from pyrogram import Client, filters, idle
from pyrogram.handlers import MessageHandler

from src.core.settings.base import settings
from src.core.tg_service.messages_handler import message_listener
from src.core.rabbitmq.connect import broker, init_queue_and_publisher


app = Client(
    name=settings.ACCOUNT.NAME,
    api_id=settings.ACCOUNT.API_ID,
    api_hash=settings.ACCOUNT.API_HASH,
)

app.add_handler(MessageHandler(
    callback=message_listener,
    filters=filters.all
))

async def main():
    await app.start()
    await broker.start()
    await init_queue_and_publisher()
    await idle()
    await app.stop()

app.run(main())